ID CVE-2010-4543
Summary Heap-based buffer overflow in the read_channel_data function in file-psp.c in the Paint Shop Pro (PSP) plugin in GIMP 2.6.11 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a PSP_COMP_RLE (aka RLE compression) image file that begins a long run count at the end of the image. NOTE: some of these details are obtained from third party information.
References
Vulnerable Configurations
  • cpe:2.3:a:gimp:gimp:2.6.11:*:*:*:*:*:*:*
    cpe:2.3:a:gimp:gimp:2.6.11:*:*:*:*:*:*:*
CVSS
Base: 7.5 (as of 07-02-2022 - 17:51)
Impact:
Exploitability:
CWE CWE-787
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
cvss-vector via4 AV:N/AC:L/Au:N/C:P/I:P/A:P
redhat via4
advisories
  • bugzilla
    id 703407
    title CVE-2010-4543 Gimp: Heap-based buffer overflow in Paint Shop Pro (PSP) plug-in
    oval
    OR
    • comment Red Hat Enterprise Linux must be installed
      oval oval:com.redhat.rhba:tst:20070304026
    • AND
      • comment Red Hat Enterprise Linux 6 is installed
        oval oval:com.redhat.rhba:tst:20111656003
      • OR
        • AND
          • comment gimp is earlier than 2:2.6.9-4.el6_1.1
            oval oval:com.redhat.rhsa:tst:20110839001
          • comment gimp is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110839002
        • AND
          • comment gimp-devel is earlier than 2:2.6.9-4.el6_1.1
            oval oval:com.redhat.rhsa:tst:20110839003
          • comment gimp-devel is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110839004
        • AND
          • comment gimp-devel-tools is earlier than 2:2.6.9-4.el6_1.1
            oval oval:com.redhat.rhsa:tst:20110839005
          • comment gimp-devel-tools is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110839006
        • AND
          • comment gimp-help-browser is earlier than 2:2.6.9-4.el6_1.1
            oval oval:com.redhat.rhsa:tst:20110839007
          • comment gimp-help-browser is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110839008
        • AND
          • comment gimp-libs is earlier than 2:2.6.9-4.el6_1.1
            oval oval:com.redhat.rhsa:tst:20110839009
          • comment gimp-libs is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110839010
    rhsa
    id RHSA-2011:0839
    released 2011-05-31
    severity Moderate
    title RHSA-2011:0839: gimp security update (Moderate)
  • rhsa
    id RHSA-2011:0837
  • rhsa
    id RHSA-2011:0838
rpms
  • gimp-1:2.0.5-7.0.7.el4.1
  • gimp-debuginfo-1:2.0.5-7.0.7.el4.1
  • gimp-devel-1:2.0.5-7.0.7.el4.1
  • gimp-2:2.2.13-2.0.7.el5_6.2
  • gimp-debuginfo-2:2.2.13-2.0.7.el5_6.2
  • gimp-devel-2:2.2.13-2.0.7.el5_6.2
  • gimp-libs-2:2.2.13-2.0.7.el5_6.2
  • gimp-2:2.6.9-4.el6_1.1
  • gimp-debuginfo-2:2.6.9-4.el6_1.1
  • gimp-devel-2:2.6.9-4.el6_1.1
  • gimp-devel-tools-2:2.6.9-4.el6_1.1
  • gimp-help-browser-2:2.6.9-4.el6_1.1
  • gimp-libs-2:2.6.9-4.el6_1.1
refmap via4
confirm https://bugzilla.redhat.com/show_bug.cgi?id=666793
debian DSA-2426
gentoo GLSA-201209-23
mandriva MDVSA-2011:103
misc http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=608497
mlist
  • [oss-security] 20110103 CVE request for buffer overflows in gimp
  • [oss-security] 20110104 Re: CVE request for buffer overflows in gimp
osvdb 70284
secunia
  • 42771
  • 44750
  • 48236
  • 50737
suse SUSE-SR:2011:005
vupen ADV-2011-0016
Last major update 07-02-2022 - 17:51
Published 07-01-2011 - 20:00
Last modified 07-02-2022 - 17:51
Back to Top